<template>
	<view>
		<!--文章标题-->
		<view class="text-black  text-bold  title" style="font-size: 40rpx;">{{dataDetail.title}}</view>
		<view class="text-gray " style="padding: 0 0 30rpx 30rpx;">
			<text class="cuIcon-time padding-right-10"></text>
			<text>{{dataDetail.createTime}}</text>
		</view>
		<view class="content-view-box">
			<view class="font-view">
				<editor id="editor" read-only="true" class="ql-container" @ready="onEditorReady(dataDetail.notice)"></editor>
				<!-- <u-parse :html="dataDetail.content"></u-parse> -->
			</view>
		</view>
	</view>
</template>

<script>
	var app=getApp()
	export default {
		components: {
		},
		data() {
			return {
				dataDetail:{},
			}
		},
		onShow() {
			this.dataDetail=app.globalData.noticeDetail
		},
		onLoad(options) {
			
		},
		methods: {
			
			onEditorReady(notice) {
			    uni.createSelectorQuery().select('#editor').context((res) => {
			        this.editorCtx = res.context
					this.editorCtx.setContents({   
						html: notice 
					})    
			    }).exec()
			}
		}
	}
</script>


<style lang="scss">
	page {
		background: #FFFFFF;
	}
	.title {
		margin: 36.36rpx 27.27rpx;
	}

	.content-view-box {
		position: relative;
		.font-view {
			padding: 27.27rpx;
			line-height: 1.9;
		}
		image {
			width: 100%;
		}
	}
</style>
